PGASetCommunicator(4)

NAME
PGASetCommunicator - Set the default communicator to use when PGARun is called.

DESCRIPTION
Does not necessarily need to be the same as the number of processes in MPI_COMM_WORLD (which is the default).

INPUT PARAMETERS
ctx - context variable
comm
    - communicator to use

OUTPUT PARAMETERS
none

SYNOPSIS
#include "pgapack.h"
void  PGASetCommunicator(ctx, comm)
PGAContext *ctx
MPI_Comm comm

LOCATION
parallel.c

EXAMPLE
Example:
MPI_Comm mycomm;
PGAContext *ctx,
double f(PGAContext *ctx, int p, int pop);
:
ctx = PGACreate(&argc, argv, PGA_DATATYPE_BINARY, 100, PGA_MAXIMIZE);
PGASetCommunicator(ctx, mycomm);
PGASetUp(ctx);
PGARun(ctx, f);
PGADestroy(ctx);